#map {
    height: 400px;
    width: 100%;
    margin-top: 20px;
}

#countdown {
    /* cursor: wait; */
    cursor: none;
    text-align: center;
    font-family: 'Playfair Display', serif;
    color: #c6a769;
    margin: 50px 0;
}

#countdown h2 {
    font-size: 2rem;
    margin-bottom: 20px;
}

.time {
    display: flex;
    justify-content: center;
    gap: 30px;
    font-size: 1.5rem;
}

.time div {
    background: rgb(255, 255, 255);
    padding: 15px 20px;
    border-radius: 10px;
    min-width: 80px;
    transition: transform 0.3s ease;
}

.time div:hover {
    transform: scale(1.1);
}
    

.buttonRow {
    display: flex;
    align-items: center;
    margin-top: 5px;
    justify-content: space-between;
}

#videoTitle{
    font-style: italic;
    color: white;
}

#venue h2,
#park_venue h2,
h2 {
    font-family: 'Great Vibes', cursive;
    font-size: 2em;
    margin-bottom: 20px;
    color: #6e37d4;
}

header {
    background: #6e37d4ca;
    padding: 50px 0;
    text-align: center;
    color: white;
}

header h1 {
    font-family: 'Great Vibes', cursive;
    font-size: 3em;
}

header p {
    font-size: 1.5em;
    margin-top: 10px;
}

h3 {
    font-family: 'Great Vibes', cursive;
    color: #6e37d4;
}

section {
    padding: 30px;
    background-color: #ffffffba;
    margin-bottom: 20px;
    border-radius: 8px;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.1);
    border-radius: 50px;
    margin: 15px;
}

button {
    font-family: 'Great Vibes', cursive;
    background-color: #6e37d4;
    color: white;
    padding: 10px 20px;
    border: none;
    cursor: pointer;
    margin: 10px;
    font-size: 1em;
    border-radius: 5px;
}
    
button:hover {
    background-color: #c6a769;
}

button:active {
    transform: scale(0.98);
}

body {
    font-family: 'Montserrat', sans-serif;
    margin: 0;
    height: 100vh;
    background: url("../image5.jpg") no-repeat center center fixed;
    background-size: 105%;
    opacity: 0;
    animation: cinematic 4s ease-out forwards;

    .audio-control {
        position: fixed;
        bottom: 1%;
        right: 0.75%;
        background: #6e37d4;
        padding: 12px 15px;
        border-radius: 12px;
        display: flex;
        align-items: center;
        gap: 10px;
        backdrop-filter: blur(6px);
        z-index: 9999;
    }

    .volume-icon {
        cursor: pointer;
        font-size: 22px;
        color: white;
        transition: transform 0.2s;
    }

    .volume-icon:hover {
        transform: scale(1.2);
    }

    input[type="range"] {
        -webkit-appearance: none;
        width: 120px;
        height: 6px;
        background: #c6a769ad;
        border-radius: 3px;
        outline: none;
        transition: background 0.3s;
    }

    input[type="range"]::-webkit-slider-thumb {
        -webkit-appearance: none;
        appearance: none;
        width: 18px;
        height: 18px;
        background: white;
        border-radius: 50%;
        cursor: pointer;
        box-shadow: 0 0 4px rgba(0,0,0,0.4);
        transition: background 0.3s, transform 0.2s;
    }

    input[type="range"]::-webkit-slider-thumb:hover {
        transform: scale(1.2);
        background: #c6a769;
    }

    /* Firefox */
    input[type="range"]::-moz-range-thumb {
        width: 18px;
        height: 18px;
        background: white;
        border-radius: 50%;
        cursor: pointer;
        box-shadow: 0 0 4px rgba(0,0,0,0.4);
        transition: background 0.3s, transform 0.2s;
    }

    input[type="range"]::-moz-range-track {
        background: rgba(255,255,255,0.3);
        height: 6px;
        border-radius: 3px;
    }
}

@keyframes cinematic {
    0% {
        opacity: 0;
        background-size: 110%;
        background-position: 48% 52%;
    }
    100% {
        opacity: 1;
        background-size: 100%;
        background-position: 50% 50%;
    }
}

footer {
    font-family: 'Great Vibes', cursive;
        background-color: #6e37d4e3;
        color: white;
        text-align: center;
        padding: 10px 0;
        margin-top: 20px;
}

/* Responsive Design */
@media (max-width: 900px) {
    .top_wrapper {
        column-count: 1;
    }

    .all_infos {
        padding: 35px;
    }
}

@media screen and (max-width: 768px) {
    #venue {
        flex-direction: column;
        padding: 20px;
    }

    .map-place,
    .map-container {
        max-width: 100%;
    }
}